Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 777534 - media-gfx/ufraw-0.22-r4 - /.../type_traits: error: template with C linkage
Summary: media-gfx/ufraw-0.22-r4 - /.../type_traits: error: template with C linkage
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.68
  Show dependency tree
 
Reported: 2021-03-21 15:23 UTC by Toralf Förster
Modified: 2021-07-26 02:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.91 KB, text/plain)
2021-03-21 15:23 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,53.06 KB, text/plain)
2021-03-21 15:23 UTC, Toralf Förster
Details
environment (environment,83.56 KB, text/plain)
2021-03-21 15:23 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,21.96 KB, application/x-bzip)
2021-03-21 15:23 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,8.27 KB, application/x-bzip)
2021-03-21 15:23 UTC, Toralf Förster
Details
media-gfx:ufraw-0.22-r4:20210321-151605.log (media-gfx:ufraw-0.22-r4:20210321-151605.log,339.50 KB, text/plain)
2021-03-21 15:23 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,31.91 KB, application/x-bzip)
2021-03-21 15:23 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-03-21 15:23:01 UTC
                 from ufraw.h:21,
                 from ufraw_settings.cc:17:
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/include/g++-v10/type_traits:56:3: error: template with C linkage
   56 |   template<typename _Tp, _Tp __v>
      |   ^~~~~~~~
In file included from ufraw.h:21,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20210320-151517

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.2.0 *
/usr/lib/llvm/11
11.1.0
Python 3.8.8
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.50.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm


  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun Mar 21 14:51:10 UTC 2021

emerge -qpvO media-gfx/ufraw
[ebuild  N    ] media-gfx/ufraw-0.22-r4  USE="contrast fits openmp timezone -gimp -gnome -gtk"
Comment 1 Toralf Förster gentoo-dev 2021-03-21 15:23:02 UTC
Created attachment 692772 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-03-21 15:23:03 UTC
Created attachment 692775 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-03-21 15:23:05 UTC
Created attachment 692778 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-03-21 15:23:06 UTC
Created attachment 692781 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-03-21 15:23:07 UTC
Created attachment 692784 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-03-21 15:23:09 UTC
Created attachment 692787 [details]
media-gfx:ufraw-0.22-r4:20210321-151605.log
Comment 7 Toralf Förster gentoo-dev 2021-03-21 15:23:10 UTC
Created attachment 692790 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2021-04-19 03:16:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd9edb33d1b4949330bb07661f39d76df84519f3

commit dd9edb33d1b4949330bb07661f39d76df84519f3
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-19 03:16:23 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-04-19 03:16:37 +0000

    media-gfx/ufraw: Fix build with glib-2.68
    
    Closes: https://bugs.gentoo.org/777534
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 media-gfx/ufraw/files/ufraw-0.22-glib-2.68.patch | 19 +++++++++++++++++++
 media-gfx/ufraw/ufraw-0.22-r4.ebuild             |  1 +
 2 files changed, 20 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2021-06-25 21:22:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4789b3a217c455255ac641ce403f940ec1f92432

commit 4789b3a217c455255ac641ce403f940ec1f92432
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-13 21:39:20 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-06-25 21:22:13 +0000

    profiles: Mask media-gfx/ufraw for removal
    
    Bug: https://bugs.gentoo.org/312935
    Bug: https://bugs.gentoo.org/341923
    Bug: https://bugs.gentoo.org/629050
    Bug: https://bugs.gentoo.org/739984
    Bug: https://bugs.gentoo.org/775761
    Bug: https://bugs.gentoo.org/777534
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2021-07-26 02:38:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=699a7159a7d6c00cc571191e2a8ccd884e8fb670

commit 699a7159a7d6c00cc571191e2a8ccd884e8fb670
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-07-26 02:33:02 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-07-26 02:33:02 +0000

    media-gfx/ufraw: treeclean
    
    Bug: https://bugs.gentoo.org/312935
    Bug: https://bugs.gentoo.org/341923
    Bug: https://bugs.gentoo.org/629050
    Bug: https://bugs.gentoo.org/739984
    Bug: https://bugs.gentoo.org/775761
    Bug: https://bugs.gentoo.org/777534
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/ufraw/Manifest                           |  1 -
 .../ufraw/files/ufraw-0.17-cfitsio-automagic.patch | 28 ------
 .../ufraw/files/ufraw-0.22-CVE-2015-8366.patch     | 17 ----
 .../ufraw/files/ufraw-0.22-CVE-2018-19655.patch    | 44 ----------
 media-gfx/ufraw/files/ufraw-0.22-crashfix.patch    | 15 ----
 .../files/ufraw-0.22-drop_superfluous_abs.patch    | 16 ----
 media-gfx/ufraw/files/ufraw-0.22-exiv2-0.27.patch  | 26 ------
 .../ufraw/files/ufraw-0.22-fix-unsigned-char.patch | 20 -----
 media-gfx/ufraw/files/ufraw-0.22-gcc9.patch        | 97 ---------------------
 media-gfx/ufraw/files/ufraw-0.22-glib-2.68.patch   | 19 -----
 .../ufraw/files/ufraw-0.22-jasper-automagic.patch  | 21 -----
 media-gfx/ufraw/files/ufraw-0.22-jpeg9.patch       | 32 -------
 media-gfx/ufraw/metadata.xml                       | 13 ---
 media-gfx/ufraw/ufraw-0.22-r4.ebuild               | 99 ----------------------
 14 files changed, 448 deletions(-)
Comment 11 Sam James archtester gentoo-dev Security 2021-07-26 02:39:47 UTC
Last-rited package removed.